package com.yunzhi.training.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 问卷参与人
 * </p>
 *
 * @author yansen
 * @since 2022-02-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaQuePerson对象", description="问卷参与人")
public class TaQuePerson implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "序号")
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    @ApiModelProperty(value = "人员ID")
    private String personId;

    @ApiModelProperty(value = "得分")
    private Integer score;

    @ApiModelProperty(value = "问卷ID")
    private String queId;

    @ApiModelProperty(value = "状态")
    private Integer state;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
