package com.yunzhi.training.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.training.entity.TaCourse;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;

/**
 * <p>
 * 课程表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-02-21
 */
@Mapper
public interface TaCourseMapper extends BaseMapper<TaCourse> {

    IPage<TaCourse> getPagedBy(IPage<TaCourse> pg,
                               @Param("client") String client,
                               @Param("title") String title,
                               @Param("start") LocalDateTime start,
                               @Param("end") LocalDateTime end);
}
