package com.yunzhi.training.service.impl;

import com.yunzhi.training.entity.TaSignPlain;
import com.yunzhi.training.mapper.TaSignPlainMapper;
import com.yunzhi.training.service.ITaSignPlainService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 预签到人员 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-02-21
 */
@Service
public class TaSignPlainServiceImpl extends ServiceImpl<TaSignPlainMapper, TaSignPlain> implements ITaSignPlainService {

    @Override
    public boolean removeBySignId(String signId) {
        baseMapper.deleteBySignId(signId);
        return true;
    }
}
